@echo off 
if "%OPTITDIR%" == "" goto setvar
@echo Using OptimizeIt from %OPTITDIR% directory
goto main
:setvar
@echo "set OPTITDIR=c:\OptimizeitSuite\Optit60"
set OPTITDIR=c:\OptimizeitSuite\Optit60
:main
set PATH_COPY=%PATH% 
set PATH=%OPTITDIR%\lib;%PATH%;
@echo "No memory profiling; to turn on, change -J-Xrunpri:dmp=1 to just -J-Xrunpri"
@echo "More option can be specified in audit option file using -J-Xrunpri:auditOption=optionfile.txt"
@echo "and putting lines like -startCPUprofiler:type=sampler,samplingPeriod=1,onlyCPU=true into it"
call %1 -J-DOPTITDIR=%OPTITDIR% -J-Xbootclasspath/a:%OPTITDIR%\lib\oibcp.jar -cp:a %OPTITDIR%\lib\optit.jar -J-Xrunpri:startAudit=t,dmp=1,pause=t org.netbeans.Main %2 %3 %4 %5 %6 %7 %8 %9
set PATH=%PATH_COPY%
